#include <libcschem/concrete.h>

/* coordinate <-> "pixel" conversion */
#define C2P(coord) ((coord) << 10)
#define P2C(coord) ((coord) >> 10)

struct rnd_xform_s {
	unsigned faded:1;
	csch_cgrp_t *fallback_pen; /* if not NULL, use this group for final pen fallback before using invalid pen */
};

/* redraw the entire screen */
void sch_rnd_redraw(rnd_hidlib_t *target);

void csch_expose_main(rnd_hid_t *hid, const rnd_hid_expose_ctx_t *region, rnd_xform_t *xform_caller);
void csch_expose_preview(rnd_hid_t *hid, const rnd_hid_expose_ctx_t *e);


/*** calls useful in preview ***/
void csch_draw_sheet(csch_sheet_t *sheet, rnd_hid_gc_t gc, const rnd_hid_expose_ctx_t *region, rnd_xform_t *xform_caller);

